#delimit;
cd "C:\Users\ejm5\Dropbox\bribery\qjps R&R";
use "data\Working_PCI2017.dta", clear;


/************************************************************************************************************************/
/*Table 1*/
#delimit;
reg reg_bribe i.oecd_enforce c.ln_sales, cluster(country);
outreg2 using "tables\Table1", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Bivariate")  keep(i.oecd_enforce c.ln_sales) addtext("ISIC Two Digit Fixed Effects", No, "Entry Year Fixed Effects", No) replace;
areg reg_bribe i.oecd_enforce c.ln_sales, absorb(sector_id) cluster(country);
outreg2 using "tables\Table1", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Sector FE")  keep(i.oecd_enforce c.ln_sales) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", No);
areg reg_bribe i.oecd_enforce c.ln_sales  labor_origin  i.a1 , absorb(sector_id) cluster(country);
outreg2 using "tables\Table1", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Controls")  keep(i.oecd_enforce c.ln_sales labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes) ;
areg reg_bribe i.oecd_enforce c.ln_sales  labor_origin  i.a1 if country!="Taiwan"& country!="China", absorb(sector_id) cluster(country);
outreg2 using "tables\Table1", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Drop China/Taiwan")  keep(i.oecd_enforce c.ln_sales labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes)  excel;

/***************************************************************************************************************************/
/*Figure 3*/
#delimit;
reg ln_profitmargin ln_sales labor_origin capital_origin i.a1 i.sector_id, cluster(country);
avplot ln_sales, scheme(s1mono) note("coef = 2.9199246, (robust) se = .18090511, t = 16.14;" "Regression controls for X (employment and capital size at origin and two-digit and entry year fixed effects.)", size(vsmall))
ytitle("Profit Margin=ln((Sales-Expenses)/Investment)|X", size(medsmall) margin(medsmall)) xtitle("Sales (ln)|X", size(medsmall) margin(medsmall)) ;
graph save "graphs\Figure3.gph", replace;
graph export "graphs\Figure3.pdf", as(pdf) replace;

/***************************************************************************************************************************/
/*SI8 Table 7*/
#delimit;
reg ln_profitmargin ln_sales, cluster(country);
outreg2 using "tables\SI_Table7", bdec(3) tdec(3) e(N_clust  rmse) noaster ctitle("Bivariate")  keep(i.oecd_enforce c.ln_sales) addtext("ISIC Two Digit Fixed Effects", No, "Entry Year Fixed Effects", No) replace;
reg ln_profitmargin ln_sales i.sector_id, cluster(country);
outreg2 using "tables\SI_Table7", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Sector FE")  keep(i.oecd_enforce c.ln_sales) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", No);
reg ln_profitmargin ln_sales labor_origin capital_origin i.a1 i.sector_id, cluster(country);
outreg2 using "tables\SI_Table7", bdec(3) tdec(3) e(N_clust  rmse) noaster ctitle("Controls")  keep(i.oecd_enforce c.ln_sales labor_origin capital_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes) ;
reg ln_profitmargin ln_sales labor_origin capital_origin i.a1 i.sector_id if country!="Taiwan"& country!="China", cluster(country);
outreg2 using "tables\SI_Table7", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Drop China/Taiwan")  keep(i.oecd_enforce c.ln_sales labor_origin capital_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes)  excel;


/***************************************************************************************************************************/
/*SI Table 9*/
#delimit;
xi: ivreg2 ln_sale management_quality   i.oecd_enforce, ffirst robust;
outreg2 using "tables\SI_Table9", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Sales")  keep(management_quality) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes) replace;
xi: ivreg2 reg_bribe  i.oecd_enforce  (ln_sale=management_quality), ffirst robust;
outreg2 using "tables\SI_Table9", bdec(3) tdec(3) e(N_clust r2u rmse) noaster ctitle("Bribe")  keep(ln_sale) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes);
xi: ivreg2 ln_sale management_quality  labor_origin  i.a1 i.sector_id  i.oecd_enforce, ffirst robust;
outreg2 using "tables\SI_Table9", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Sales")  keep(management_quality labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes);
xi: ivreg2 reg_bribe  labor_origin  i.a1 i.sector_id i.oecd_enforce  (ln_sale=management_quality), ffirst robust;
outreg2 using "tables\SI_Table9", bdec(3) tdec(3) e(N_clust r2u rmse) noaster ctitle("Bribe")  keep(ln_sale  labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes) excel;


/***************************************************************************************************************************/
/*Figure 6*/
#delimit;
ciplot e7_2017_1_1 e7_2017_1_2 e7_2017_1_3, by(oecd_enforce) level(90) xtitle("") legend(rows(4) size(vsmall) ring(0) 
position(11)) xline(7 14, lcolor(black) lpattern(dash) lwidth(vthick)) ytitle("Share of Firms Answering Yes", size(medium) margin(medium)) note("90% CIs; Source: 2017 PCI-FDI Data", size(vsmall)) scheme(s1mono);
graph save "graphs\Figure6.gph", replace;
graph export "graphs\Figure6.pdf", as(pdf) replace;


/************************************************************************************************************************/
/*Table 3*/
#delimit;
reg e7_2017_1_3 i.oecd_enforce, cluster(country);
outreg2 using "tables\Table3", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Bivariate")  keep(i.oecd_enforce) addtext("ISIC Two Digit Fixed Effects", No, "Entry Year Fixed Effects", No) replace;
areg e7_2017_1_3 i.oecd_enforce, absorb(sector_id) cluster(country);
outreg2 using "tables\Table3", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Sector FE")  keep(i.oecd_enforce) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", No);
areg e7_2017_1_3 i.oecd_enforce   labor_origin i.a1, absorb(sector_id) cluster(country);
outreg2 using "tables\Table3", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Controls")  keep(i.oecd_enforce labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes);
areg e7_2017_1_3 i.oecd_enforce  labor_origin i.a1 if country!="Taiwan"& country!="China", absorb(sector_id) cluster(country);
outreg2 using "tables\Table3", bdec(3) tdec(3) e(N_clust rmse) noaster ctitle("Drop China/Taiwan")  keep(i.oecd_enforce labor_origin) addtext("ISIC Two Digit Fixed Effects", Yes, "Entry Year Fixed Effects", Yes) excel;

/************************************************************************************************************************/
/*SI1 Table 1*/
#delimit;
generate nosign=1 if oecd_enforce==0;
replace nosign=0 if oecd_enforce !=0;

generate noenforce=1 if oecd_enforce==1;
replace noenforce=0 if oecd_enforce !=1;

generate enforce=1 if oecd_enforce==2;
replace enforce=0 if oecd_enforce !=2;


#delimit;
sum nosign noenforce enforc  e7_2017_1_3 e7_2017_1_2 e7_2017_1_1 reg_bribe ln_sales ln_profitmargin a1 labor_origin capital_origin  management_quality;
tab reg_bribe oecd_enforce, missing col nofreq;
/************************************************************************************************************************/
/*SI1 Table 2*/

#delimit;
pwcorr nosign noenforce enforc  e7_2017_1_3 e7_2017_1_2 e7_2017_1_1 reg_bribe ln_sales ln_profitmargin  a1 labor_origin capital_origin management_quality;

/************************************************************************************************************************/

/************************************************************************************************************************/
/*SI6 & 7 Tables 5 &6*/

#delimit;
by country, sort: egen count=count(id);
collapse (mean) count oecd_enforce, by(country);
merge 1:1 country using "data\legislation.dta";
drop _merge;
merge 1:1 country using "data\country_wide.dta";
keep if _merge==3;
gsort - count;
drop if oecd_enforce==.;
label values oecd_enforce enforce;
export excel using "tables\SI6&7", sheet("Tables5&6") firstrow(varlabels) sheetreplace;